static char rcsid[] = "@(#)$Id: init.c,v 2.9 2017/12/22 17:28:39 hurtta Exp $";

/******************************************************************************
 *  The Elm (ME+) Mail System  -  $Revision: 2.9 $   $State: Exp $
 *
 *  Author: Kari Hurtta <hurtta+elm@siilo.FMI.FI>  (was hurtta+elm@posti.FMI.FI)
 *      or  Kari Hurtta <elm@elmme-mailer.org>
 *****************************************************************************/

#include "def_mailer.h"
#include "hdr_imp.h"
#include "rc_imp.h"
#include "save_opts.h"
#ifdef USE_DLOPEN
#include "shared_imp.h"
#endif
#include "s_elm.h"

DEBUG_VAR(Debug,__FILE__,"mailer");

PATH valid_domains;

static ZZZ_SAVE_TYPE mailer_info_data[] = {
    {"mailer",                ZZZ_DT_FUNC_(FL_SYS,mailerfunc), ZZZ_TAIL },
#ifdef USE_DLOPEN
    {"use-mailer-library",    ZZZ_DT_SHARED(&use_shared_mailer), ZZZ_TAIL },
#endif
    {"valid-domains",         ZZZ_DT_PATH(&valid_domains),  ZZZ_TAIL },
};

static int COUNT=(sizeof(mailer_info_data)/sizeof(ZZZ_SAVE_TYPE));
static save_info_recs *mailer_info = (save_info_recs *) mailer_info_data;


#if ANSI_C
static env_from_change_hook real_env_from_change;
#endif
static int real_env_from_change P_((struct mailer_env_from *X,
				     const char * value));

static int real_env_from_change(X,value)
     struct mailer_env_from *X;
     const char * value;
{
  
    mailer_env_from_change(X,value);
    return 1;

}

void init_mailerlib P_((void))
{


    init_default_mailer();
    set_env_from_change_hook(real_env_from_change);
    register_delayed(mailer_info,COUNT);

#ifdef USE_DLOPEN
    register_list(&use_shared_mailer);
#endif

    add_init_default_hook(&init_mailer_defaults);
}


/*
 * Local Variables:
 *  mode:c
 *  c-basic-offset:4
 *  buffer-file-coding-system: iso-8859-1
 * End:
 */
